Saaj (xmlbeans API)

org.apache.xmlbeans.impl.store

## Interface Saaj

-     public interface Saaj

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `Saaj.SaajCallback`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DetailEntry` | `detail_addDetailEntry(Detail detail, Name name)`
    `Iterator<DetailEntry>` | `detail_getDetailEntries(Detail detail)`
    `Class` | `identifyElement(QName name, QName parentName)`
    `void` | `setCallback(Saaj.SaajCallback callback)`
    `SOAPBodyElement` | `soapBody_addBodyElement(SOAPBody soapBody, Name name)`
    `SOAPBodyElement` | `soapBody_addDocument(SOAPBody soapBody, Document document)`
    `SOAPFault` | `soapBody_addFault(SOAPBody soapBody)`
    `SOAPFault` | `soapBody_addFault(SOAPBody soapBody, Name name, String s)`
    `SOAPFault` | `soapBody_addFault(SOAPBody soapBody, Name faultCode, String faultString, Locale locale)`
    `SOAPFault` | `soapBody_getFault(SOAPBody soapBody)`
    `boolean` | `soapBody_hasFault(SOAPBody soapBody)`
    `SOAPElement` | `soapElement_addAttribute(SOAPElement soapElement, Name name, String value)`
    `SOAPElement` | `soapElement_addChildElement(SOAPElement soapElement, Name name)`
    `SOAPElement` | `soapElement_addChildElement(SOAPElement parent, SOAPElement oldChild)`
    `SOAPElement` | `soapElement_addChildElement(SOAPElement soapElement, String localName)`
    `SOAPElement` | `soapElement_addChildElement(SOAPElement soapElement, String localName, String prefix)`
    `SOAPElement` | `soapElement_addChildElement(SOAPElement soapElement, String localName, String prefix, String uri)`
    `SOAPElement` | `soapElement_addNamespaceDeclaration(SOAPElement soapElement, String prefix, String uri)`
    `SOAPElement` | `soapElement_addTextNode(SOAPElement soapElement, String data)`
    `Iterator<Name>` | `soapElement_getAllAttributes(SOAPElement soapElement)`
    `String` | `soapElement_getAttributeValue(SOAPElement soapElement, Name name)`
    `Iterator<SOAPElement>` | `soapElement_getChildElements(SOAPElement parent)`
    `Iterator` | `soapElement_getChildElements(SOAPElement parent, Name name)`
    `Name` | `soapElement_getElementName(SOAPElement soapElement)`
    `String` | `soapElement_getEncodingStyle(SOAPElement soapElement)`
    `Iterator<String>` | `soapElement_getNamespacePrefixes(SOAPElement soapElement)`
    `String` | `soapElement_getNamespaceURI(SOAPElement soapElement, String prefix)`
    `Iterator` | `soapElement_getVisibleNamespacePrefixes(SOAPElement soapElement)`
    `boolean` | `soapElement_removeAttribute(SOAPElement soapElement, Name name)`
    `void` | `soapElement_removeContents(SOAPElement soapElement)`
    `boolean` | `soapElement_removeNamespaceDeclaration(SOAPElement soapElement, String prefix)`
    `void` | `soapElement_setEncodingStyle(SOAPElement soapElement, String encodingStyle)`
    `SOAPBody` | `soapEnvelope_addBody(SOAPEnvelope soapEnvelope)`
    `SOAPHeader` | `soapEnvelope_addHeader(SOAPEnvelope soapEnvelope)`
    `Name` | `soapEnvelope_createName(SOAPEnvelope soapEnvelope, String localName)`
    `Name` | `soapEnvelope_createName(SOAPEnvelope soapEnvelope, String localName, String prefix, String namespaceURI)`
    `SOAPBody` | `soapEnvelope_getBody(SOAPEnvelope soapEnvelope)`
    `SOAPHeader` | `soapEnvelope_getHeader(SOAPEnvelope soapEnvelope)`
    `Detail` | `soapFault_addDetail(SOAPFault soapFault)`
    `Detail` | `soapFault_getDetail(SOAPFault soapFault)`
    `String` | `soapFault_getFaultActor(SOAPFault soapFault)`
    `String` | `soapFault_getFaultCode(SOAPFault soapFault)`
    `Name` | `soapFault_getFaultCodeAsName(SOAPFault soapFault)`
    `String` | `soapFault_getFaultString(SOAPFault soapFault)`
    `Locale` | `soapFault_getFaultStringLocale(SOAPFault soapFault)`
    `void` | `soapFault_setFaultActor(SOAPFault soapFault, String faultActorString)`
    `void` | `soapFault_setFaultCode(SOAPFault soapFault, Name faultCodeName)`
    `void` | `soapFault_setFaultCode(SOAPFault soapFault, String faultCode)`
    `void` | `soapFault_setFaultString(SOAPFault soapFault, String faultString)`
    `void` | `soapFault_setFaultString(SOAPFault soapFault, String faultString, Locale locale)`
    `SOAPHeaderElement` | `soapHeader_addHeaderElement(SOAPHeader soapHeader, Name name)`
    `Iterator<SOAPHeaderElement>` | `soapHeader_examineAllHeaderElements(SOAPHeader soapHeader)`
    `Iterator<SOAPHeaderElement>` | `soapHeader_examineHeaderElements(SOAPHeader soapHeader, String actor)`
    `Iterator<SOAPHeaderElement>` | `soapHeader_examineMustUnderstandHeaderElements(SOAPHeader soapHeader, String mustUnderstandString)`
    `Iterator<SOAPHeaderElement>` | `soapHeader_extractAllHeaderElements(SOAPHeader soapHeader)`
    `Iterator<SOAPHeaderElement>` | `soapHeader_extractHeaderElements(SOAPHeader soapHeader, String actor)`
    `String` | `soapHeaderElement_getActor(SOAPHeaderElement soapHeaderElement)`
    `boolean` | `soapHeaderElement_getMustUnderstand(SOAPHeaderElement soapHeaderElement)`
    `void` | `soapHeaderElement_setActor(SOAPHeaderElement soapHeaderElement, String actor)`
    `void` | `soapHeaderElement_setMustUnderstand(SOAPHeaderElement soapHeaderElement, boolean mustUnderstand)`
    `void` | `soapNode_detachNode(Node soapNode)`
    `SOAPElement` | `soapNode_getParentElement(Node node)`
    `String` | `soapNode_getValue(Node node)`
    `void` | `soapNode_recycleNode(Node node)`
    `void` | `soapNode_setParentElement(Node node, SOAPElement soapElement)`
    `void` | `soapNode_setValue(Node node, String value)`
    `void` | `soapPart_addMimeHeader(SOAPPart soapPart, String name, String value)`
    `Iterator<MimeHeader>` | `soapPart_getAllMimeHeaders(SOAPPart soapPart)`
    `Source` | `soapPart_getContent(SOAPPart soapPart)`
    `SOAPEnvelope` | `soapPart_getEnvelope(SOAPPart soapPart)`
    `Iterator<MimeHeader>` | `soapPart_getMatchingMimeHeaders(SOAPPart soapPart, String[] names)`
    `String[]` | `soapPart_getMimeHeader(SOAPPart soapPart, String name)`
    `Iterator<MimeHeader>` | `soapPart_getNonMatchingMimeHeaders(SOAPPart soapPart, String[] names)`
    `void` | `soapPart_removeAllMimeHeaders(SOAPPart soapPart)`
    `void` | `soapPart_removeMimeHeader(SOAPPart soapPart, String name)`
    `void` | `soapPart_setContent(SOAPPart soapPart, Source source)`
    `void` | `soapPart_setMimeHeader(SOAPPart soapPart, String name, String value)`
    `boolean` | `soapText_isComment(Text text)`

- - ### Method Detail

    - #### setCallback

          void setCallback(Saaj.SaajCallback callback)

    - #### identifyElement

          Class identifyElement(QName name,
                                QName parentName)

    - #### soapNode_detachNode

          void soapNode_detachNode(Node soapNode)

    - #### soapNode_recycleNode

          void soapNode_recycleNode(Node node)

    - #### soapNode_getValue

          String soapNode_getValue(Node node)

    - #### soapNode_setValue

          void soapNode_setValue(Node node,
                                 String value)

    - #### soapNode_getParentElement

          SOAPElement soapNode_getParentElement(Node node)

    - #### soapNode_setParentElement

          void soapNode_setParentElement(Node node,
                                         SOAPElement soapElement)

    - #### soapElement_removeContents

          void soapElement_removeContents(SOAPElement soapElement)

    - #### soapElement_getEncodingStyle

          String soapElement_getEncodingStyle(SOAPElement soapElement)

    - #### soapElement_setEncodingStyle

          void soapElement_setEncodingStyle(SOAPElement soapElement,
                                            String encodingStyle)

    - #### soapElement_removeNamespaceDeclaration

          boolean soapElement_removeNamespaceDeclaration(SOAPElement soapElement,
                                                         String prefix)

    - #### soapElement_getAllAttributes

          Iterator<Name> soapElement_getAllAttributes(SOAPElement soapElement)

    - #### soapElement_getChildElements

          Iterator<SOAPElement> soapElement_getChildElements(SOAPElement parent)

    - #### soapElement_getNamespacePrefixes

          Iterator<String> soapElement_getNamespacePrefixes(SOAPElement soapElement)

    - #### soapElement_addAttribute

          SOAPElement soapElement_addAttribute(SOAPElement soapElement,
                                               Name name,
                                               String value)
                                        throws SOAPException

      Throws:
        `SOAPException`

    - #### soapElement_addChildElement

          SOAPElement soapElement_addChildElement(SOAPElement parent,
                                                  SOAPElement oldChild)
                                           throws SOAPException

      Throws:
        `SOAPException`

    - #### soapElement_addChildElement

          SOAPElement soapElement_addChildElement(SOAPElement soapElement,
                                                  Name name)
                                           throws SOAPException

      Throws:
        `SOAPException`

    - #### soapElement_addChildElement

          SOAPElement soapElement_addChildElement(SOAPElement soapElement,
                                                  String localName)
                                           throws SOAPException

      Throws:
        `SOAPException`

    - #### soapElement_addChildElement

          SOAPElement soapElement_addChildElement(SOAPElement soapElement,
                                                  String localName,
                                                  String prefix)
                                           throws SOAPException

      Throws:
        `SOAPException`

    - #### soapElement_addChildElement

          SOAPElement soapElement_addChildElement(SOAPElement soapElement,
                                                  String localName,
                                                  String prefix,
                                                  String uri)
                                           throws SOAPException

      Throws:
        `SOAPException`

    - #### soapElement_addNamespaceDeclaration

          SOAPElement soapElement_addNamespaceDeclaration(SOAPElement soapElement,
                                                          String prefix,
                                                          String uri)

    - #### soapElement_addTextNode

          SOAPElement soapElement_addTextNode(SOAPElement soapElement,
                                              String data)

    - #### soapElement_getAttributeValue

          String soapElement_getAttributeValue(SOAPElement soapElement,
                                               Name name)

    - #### soapElement_getChildElements

          Iterator soapElement_getChildElements(SOAPElement parent,
                                                Name name)

    - #### soapElement_getElementName

          Name soapElement_getElementName(SOAPElement soapElement)

    - #### soapElement_getNamespaceURI

          String soapElement_getNamespaceURI(SOAPElement soapElement,
                                             String prefix)

    - #### soapElement_getVisibleNamespacePrefixes

          Iterator soapElement_getVisibleNamespacePrefixes(SOAPElement soapElement)

    - #### soapElement_removeAttribute

          boolean soapElement_removeAttribute(SOAPElement soapElement,
                                              Name name)

    - #### soapEnvelope_addBody

          SOAPBody soapEnvelope_addBody(SOAPEnvelope soapEnvelope)
                                 throws SOAPException

      Throws:
        `SOAPException`

    - #### soapEnvelope_getBody

          SOAPBody soapEnvelope_getBody(SOAPEnvelope soapEnvelope)
                                 throws SOAPException

      Throws:
        `SOAPException`

    - #### soapEnvelope_getHeader

          SOAPHeader soapEnvelope_getHeader(SOAPEnvelope soapEnvelope)
                                     throws SOAPException

      Throws:
        `SOAPException`

    - #### soapEnvelope_addHeader

          SOAPHeader soapEnvelope_addHeader(SOAPEnvelope soapEnvelope)
                                     throws SOAPException

      Throws:
        `SOAPException`

    - #### soapEnvelope_createName

          Name soapEnvelope_createName(SOAPEnvelope soapEnvelope,
                                       String localName)

    - #### soapEnvelope_createName

          Name soapEnvelope_createName(SOAPEnvelope soapEnvelope,
                                       String localName,
                                       String prefix,
                                       String namespaceURI)

    - #### soapHeader_examineAllHeaderElements

          Iterator<SOAPHeaderElement> soapHeader_examineAllHeaderElements(SOAPHeader soapHeader)

    - #### soapHeader_extractAllHeaderElements

          Iterator<SOAPHeaderElement> soapHeader_extractAllHeaderElements(SOAPHeader soapHeader)

    - #### soapHeader_examineHeaderElements

          Iterator<SOAPHeaderElement> soapHeader_examineHeaderElements(SOAPHeader soapHeader,
                                                                       String actor)

    - #### soapHeader_examineMustUnderstandHeaderElements

          Iterator<SOAPHeaderElement> soapHeader_examineMustUnderstandHeaderElements(SOAPHeader soapHeader,
                                                                                     String mustUnderstandString)

    - #### soapHeader_extractHeaderElements

          Iterator<SOAPHeaderElement> soapHeader_extractHeaderElements(SOAPHeader soapHeader,
                                                                       String actor)

    - #### soapHeader_addHeaderElement

          SOAPHeaderElement soapHeader_addHeaderElement(SOAPHeader soapHeader,
                                                        Name name)

    - #### soapPart_removeAllMimeHeaders

          void soapPart_removeAllMimeHeaders(SOAPPart soapPart)

    - #### soapPart_removeMimeHeader

          void soapPart_removeMimeHeader(SOAPPart soapPart,
                                         String name)

    - #### soapPart_getAllMimeHeaders

          Iterator<MimeHeader> soapPart_getAllMimeHeaders(SOAPPart soapPart)

    - #### soapPart_getEnvelope

          SOAPEnvelope soapPart_getEnvelope(SOAPPart soapPart)

    - #### soapPart_getContent

          Source soapPart_getContent(SOAPPart soapPart)

    - #### soapPart_setContent

          void soapPart_setContent(SOAPPart soapPart,
                                   Source source)

    - #### soapPart_getMimeHeader

          String[] soapPart_getMimeHeader(SOAPPart soapPart,
                                          String name)

    - #### soapPart_addMimeHeader

          void soapPart_addMimeHeader(SOAPPart soapPart,
                                      String name,
                                      String value)

    - #### soapPart_setMimeHeader

          void soapPart_setMimeHeader(SOAPPart soapPart,
                                      String name,
                                      String value)

    - #### soapPart_getMatchingMimeHeaders

          Iterator<MimeHeader> soapPart_getMatchingMimeHeaders(SOAPPart soapPart,
                                                               String[] names)

    - #### soapPart_getNonMatchingMimeHeaders

          Iterator<MimeHeader> soapPart_getNonMatchingMimeHeaders(SOAPPart soapPart,
                                                                  String[] names)

    - #### soapBody_hasFault

          boolean soapBody_hasFault(SOAPBody soapBody)

    - #### soapBody_addFault

          SOAPFault soapBody_addFault(SOAPBody soapBody)
                               throws SOAPException

      Throws:
        `SOAPException`

    - #### soapBody_getFault

          SOAPFault soapBody_getFault(SOAPBody soapBody)

    - #### soapBody_addBodyElement

          SOAPBodyElement soapBody_addBodyElement(SOAPBody soapBody,
                                                  Name name)

    - #### soapBody_addDocument

          SOAPBodyElement soapBody_addDocument(SOAPBody soapBody,
                                               Document document)

    - #### soapBody_addFault

          SOAPFault soapBody_addFault(SOAPBody soapBody,
                                      Name name,
                                      String s)
                               throws SOAPException

      Throws:
        `SOAPException`

    - #### soapBody_addFault

          SOAPFault soapBody_addFault(SOAPBody soapBody,
                                      Name faultCode,
                                      String faultString,
                                      Locale locale)
                               throws SOAPException

      Throws:
        `SOAPException`

    - #### soapFault_addDetail

          Detail soapFault_addDetail(SOAPFault soapFault)
                              throws SOAPException

      Throws:
        `SOAPException`

    - #### soapFault_getDetail

          Detail soapFault_getDetail(SOAPFault soapFault)

    - #### soapFault_getFaultActor

          String soapFault_getFaultActor(SOAPFault soapFault)

    - #### soapFault_getFaultCode

          String soapFault_getFaultCode(SOAPFault soapFault)

    - #### soapFault_getFaultCodeAsName

          Name soapFault_getFaultCodeAsName(SOAPFault soapFault)

    - #### soapFault_getFaultString

          String soapFault_getFaultString(SOAPFault soapFault)

    - #### soapFault_getFaultStringLocale

          Locale soapFault_getFaultStringLocale(SOAPFault soapFault)

    - #### soapFault_setFaultActor

          void soapFault_setFaultActor(SOAPFault soapFault,
                                       String faultActorString)

    - #### soapFault_setFaultCode

          void soapFault_setFaultCode(SOAPFault soapFault,
                                      Name faultCodeName)
                               throws SOAPException

      Throws:
        `SOAPException`

    - #### soapFault_setFaultCode

          void soapFault_setFaultCode(SOAPFault soapFault,
                                      String faultCode)
                               throws SOAPException

      Throws:
        `SOAPException`

    - #### soapFault_setFaultString

          void soapFault_setFaultString(SOAPFault soapFault,
                                        String faultString)

    - #### soapFault_setFaultString

          void soapFault_setFaultString(SOAPFault soapFault,
                                        String faultString,
                                        Locale locale)

    - #### soapHeaderElement_setMustUnderstand

          void soapHeaderElement_setMustUnderstand(SOAPHeaderElement soapHeaderElement,
                                                   boolean mustUnderstand)

    - #### soapHeaderElement_getMustUnderstand

          boolean soapHeaderElement_getMustUnderstand(SOAPHeaderElement soapHeaderElement)

    - #### soapHeaderElement_setActor

          void soapHeaderElement_setActor(SOAPHeaderElement soapHeaderElement,
                                          String actor)

    - #### soapHeaderElement_getActor

          String soapHeaderElement_getActor(SOAPHeaderElement soapHeaderElement)

    - #### soapText_isComment

          boolean soapText_isComment(Text text)

    - #### detail_addDetailEntry

          DetailEntry detail_addDetailEntry(Detail detail,
                                            Name name)

    - #### detail_getDetailEntries

          Iterator<DetailEntry> detail_getDetailEntries(Detail detail)